| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iOpenGLInterface Struct Reference

A common interface to be implemented by the platform specific opengl canvases. More...

`#include <csplugincommon/iopengl/openglinterface.h>`

Inheritance diagram for iOpenGLInterface:

[legend]
List of all members.

## Public Member Functions
virtual void * | GetProcAddress (const char *funcname)=0
| Retrieve the address of the function funcname.

## Detailed Description

A common interface to be implemented by the platform specific opengl canvases.

Currently covers only aspects that are different for opengl on different platforms like the "GetProcAddress" function.

Definition at line 34 of file openglinterface.h.

## Member Function Documentation

virtual void* iOpenGLInterface::GetProcAddress | ( | const char * | funcname | ) | `[pure virtual]`

Retrieve the address of the function funcname.

Return 0 if not available.

The documentation for this struct was generated from the following file:

- csplugincommon/iopengl/openglinterface.h